function theNewQ=projclus(theQ,v);
theOrig=eye(size(theQ));
for i=1:size(v,1),
	thePerm(i,:)=theOrig(v(i),:);
	theOrig(v(i),v(i))=0;
end;
theIndexes=find(sum(theOrig'));
thePerm=[thePerm;theOrig(theIndexes,:)];
theNewQ=thePerm*theQ*thePerm';
for i=fliplr(size(v,1)+1:size(theQ,1)),
	theNewQ=theNewQ(1:i-1,1:i-1)-theNewQ(1:i-1,i)*theNewQ(i,1:i-1)/theNewQ(i,i);
end
